export default{
  'Input': {
    categories: ['core'],
    output: {type: 'interface {}'},
    style: { color: '#686', shape: 'circle' },
    props: {'input': ''} // should be sent in the node
  },
  'Variable': {
    categories: ['core'],
    inputs: [{type: 'interface {}', name: 'initial'}],
    output: {type: 'interface {}'},
    style: { color: '#88a', shape: 'circle' }
  },
  'Output': {
    categories: ['core'],
    inputs: [{type: 'interface {}'}],
    style: { color: '#111', shape: 'circle' }
  },
  'Notify': {
    categories: ['flow-web'],
    inputs: [{type: 'interface {}'}, {type: 'string', name: 'msg'}],
    output: {type: 'interface {}'},
    style: {color: '#665'}
  },
  'Log': {
    categories: ['flow-web'],
    output: {type: 'io.Writer'},
    style: {color: '#665'}
  },
  'Three': {
    categories: ['flow-experiment'],
    inputs: [{type: 'interface {}'}],
    output: {type: 'interface {}'},
    style: {color: '#592'},
    experimental: true

  }
}
